# $Revision: 1.10.2.1 $, $Date: 2007/03/20 10:02:29 $
Summary:	EMail index and search tool
Summary(pl):	Narzdzie do indeksowania i przeszukiwania poczty elektronicznej
Name:		mairix
Version:	0.19
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/mairix/%{name}-%{version}.tar.gz
# Source0-md5:	9b384a0fa3431868d5198a7f1882ee69
URL:		http://www.rc0.org.uk/mairix
BuildRequires:	bison
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mairix is a program for indexing and searching email messages stored
in Maildir, MH or mbox folders.

Some features:
- Indexing is fast. It runs incrementally on new messages - any
  particular message only gets scanned once in the lifetime of the index
  file.
- The search mode populates a "virtual" maildir (or MH) folder with
  symlinks which point to the real messages. This folder can be opened
  as usual in your mail program. (Note, if messages are in mbox folders,
  copies are made. Similarly if the virtual folder has mbox format, it
  is filled with copies of the matched messages.)
- The search mode is very fast.
- Indexing and searching works on the basis of words. The index file
  tabulates which words occur in which parts (particular headers + body)
  of which messages.

%description -l pl
mairix to program do indeksowania i przeszukiwania poczty
elektronicznej zapisanej w folderach typu Maildir, MH lub mbox.

Niektre moliwoci:
- Indeksowanie jest szybkie - program dziaa przyrostowo na nowych
  wiadomociach, a kada wiadomo jest skanowana tylko raz w ramach
  czasu ycia pliku indeksu.
- Tryb przeszukiwania wypenia "wirtualny" folder maildir (lub MH)
  dowizaniami wskazujcymi na waciwe wiadomoci. Folder ten moe by
  normalnie otwierany w programie pocztowym. (Uwaga: jeli wiadomoci s
  w folderach mbox, tworzone s kopie. Podobnie jeli wirtualny folder
  ma format mbox, jest wypeniany kopiami pasujcych wiadomoci).
- Tryb przeszukiwania jest bardzo szybki.
- Indeksowanie i przeszukiwanie dziaa w oparciu o sowa. Plik indeksu
  tablicuje ktre sowa wystpuj w ktrych czciach (konkretnych
  nagwkach i ciele) ktrych wiadomoci.

%prep
%setup -q

%build
./configure \
	--mandir=%{_mandir} \
	--prefix=%{_prefix}

%{__make}

for i in README NEWS ;do
	mv dfasyn/$i $i.dfasyn
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install dfasyn/dfasyn $RPM_BUILD_ROOT%{_bindir}
install mairix.1 $RPM_BUILD_ROOT%{_mandir}/man1
install mairixrc.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README dotmairixrc.eg ACKNOWLEDGEMENTS  README.dfasyn NEWS.dfasyn
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mairix.spec,v $
Revision 1.10.2.1  2007/03/20 10:02:29  undefine
- back to iso on AC-branch

Revision 1.10  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.8  2006/09/16 21:36:51  qboosh
- tabs

Revision 1.7  2006/09/16 20:20:00  aredridel
- 0.19

Revision 1.6  2006/05/11 11:08:27  undefine
- oops, my misteake. back to pi3ter's version

Revision 1.5  2006/05/11 11:05:54  undefine
- some docs (by pi3ter), rel 2

Revision 1.4  2006/05/09 23:11:34  undefine
- BR: bison, BR: flex (by pi3ter)

Revision 1.3  2005/03/26 18:49:28  qboosh
- pl

Revision 1.2  2005/03/26 00:32:43  aredridel
- doc fix

Revision 1.1  2005/03/26 00:20:33  aredridel
- added
